> For the complete documentation index, see [llms.txt](https://docs.stacks.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stacks.co/reference/stacks.js/stacks-connect/storage/getlocalstorage.md).

# getLocalStorage

Retrieves the current Stacks Connect data from local storage. The data is stored as a hex-encoded JSON string under the `@stacks/connect` key.

***

### Usage

```ts
import { getLocalStorage } from '@stacks/connect';

const data = getLocalStorage();

if (data) {
  console.log('STX addresses:', data.addresses.stx);
  console.log('BTC addresses:', data.addresses.btc);
  console.log('Last updated:', data.updatedAt);
}
```

#### Notes

* Returns `null` if no data is stored or if reading from local storage fails.
* The stored data is hex-encoded for safety. This function handles decoding automatically.
* Data is written to local storage automatically when [`request`](/reference/stacks.js/stacks-connect/request/request.md) is called with `enableLocalStorage: true` (the default) and addresses are returned from the wallet.

[**Reference Link**](https://github.com/stx-labs/connect/blob/main/packages/connect/src/storage.ts#L96)

***

### Signature

```ts
function getLocalStorage(): StorageData | null
```

***

### Returns

[`StorageData`](/reference/stacks.js/stacks-connect/storage/storagedata.md) `| null`

Returns the parsed storage data object, or `null` if no data exists or an error occurs.

***

### Parameters

This function takes no parameters.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stacks.co/reference/stacks.js/stacks-connect/storage/getlocalstorage.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
